Speed and call quality testMy IP addressIP subnet calculatorDNS reportWhoIs lookupRemote support

Internet and network

Speed and call quality testTest delay, jitter and speed, with a focus on phone calls.My IP addressYour public IPv4 and IPv6 addresses, provider and address range.WhoIs lookupWho owns a domain or IP address, when it expires, and its DNS.DNS reportEvery DNS record for a domain, with email setup checked.IP subnet calculatorWork out a network's range, mask and hosts, and split it into subnets.

Computers and devices

Update checkIs this computer, phone and browser up to date? With links to update.Camera and mic testCheck your webcam and microphone before a call.Test print pagePrint an A4 page to check a printer: edges, text, line art and colours.

Make and print

Clean textStrip hidden characters, smart quotes and odd spaces from pasted text.QR code makerMake a QR code for a link, contact or message. Nothing leaves your browser.Wi-Fi QR posterPrint an A4 poster that lets guests join your Wi-Fi by scanning.

Surftec support

Remote supportLet a Surftec engineer connect to your computer to help you.All workingA full-screen confirmation that everything is up and running.

Surftec

Surftec websiteServices, news and how to contact Surftec
Cloud Tools
Guest
GuestNot signed in

Surftec customers will be recognised automatically when they use these tools from their office network.

Customer sign-in is coming soon.

IP subnet calculator

Type an address with its prefix or mask to see the network, its usable range and masks. Split it into smaller subnets, or look up any prefix in the reference tables.

Network60.45.0.0/17
Usable hosts32,766
Subnet mask255.255.128.0
Addresses32,768
Network address
60.45.0.0
Broadcast address
60.45.127.255
First usable
60.45.0.1
Last usable
60.45.127.254
Usable hosts
32,766 (32,768 less the network and broadcast addresses)
Subnet mask
255.255.128.0
Wildcard mask
0.0.127.255 (Cisco ACLs, OSPF)
Prefix length
/17
Type
Public public
Old class
A (default /8)
As numbers
Hex 3C2D0000 · Integer 1009582080 to 1009614847
Reverse DNS zones
0.45.60.in-addr.arpa
1.45.60.in-addr.arpa
2.45.60.in-addr.arpa
3.45.60.in-addr.arpa
4.45.60.in-addr.arpa
5.45.60.in-addr.arpa
6.45.60.in-addr.arpa
7.45.60.in-addr.arpa
8.45.60.in-addr.arpa
9.45.60.in-addr.arpa
10.45.60.in-addr.arpa
11.45.60.in-addr.arpa
12.45.60.in-addr.arpa
13.45.60.in-addr.arpa
14.45.60.in-addr.arpa
15.45.60.in-addr.arpa
and 112 more
/17 is not on a 8-bit boundary, so it takes 128 /24 zones.
Binary
Binary view
Binary (network bits bold, host bits grey)Dotted
Address00111100.00101101.00000000.0000000060.45.0.0
Subnet mask11111111.11111111.10000000.00000000255.255.128.0
Network00111100.00101101.00000000.0000000060.45.0.0
Broadcast00111100.00101101.01111111.1111111160.45.127.255
Split into smaller subnets/27

60.45.0.0/17 makes 1,024 subnets of /27; the first 256 are listed.

Subnets
#SubnetUsable hosts rangeBroadcastHosts
160.45.0.0/2760.45.0.1 to 60.45.0.3060.45.0.3130
260.45.0.32/2760.45.0.33 to 60.45.0.6260.45.0.6330
360.45.0.64/2760.45.0.65 to 60.45.0.9460.45.0.9530
460.45.0.96/2760.45.0.97 to 60.45.0.12660.45.0.12730
560.45.0.128/2760.45.0.129 to 60.45.0.15860.45.0.15930
660.45.0.160/2760.45.0.161 to 60.45.0.19060.45.0.19130
760.45.0.192/2760.45.0.193 to 60.45.0.22260.45.0.22330
860.45.0.224/2760.45.0.225 to 60.45.0.25460.45.0.25530
960.45.1.0/2760.45.1.1 to 60.45.1.3060.45.1.3130
1060.45.1.32/2760.45.1.33 to 60.45.1.6260.45.1.6330
1160.45.1.64/2760.45.1.65 to 60.45.1.9460.45.1.9530
1260.45.1.96/2760.45.1.97 to 60.45.1.12660.45.1.12730
1360.45.1.128/2760.45.1.129 to 60.45.1.15860.45.1.15930
1460.45.1.160/2760.45.1.161 to 60.45.1.19060.45.1.19130
1560.45.1.192/2760.45.1.193 to 60.45.1.22260.45.1.22330
1660.45.1.224/2760.45.1.225 to 60.45.1.25460.45.1.25530
1760.45.2.0/2760.45.2.1 to 60.45.2.3060.45.2.3130
1860.45.2.32/2760.45.2.33 to 60.45.2.6260.45.2.6330
1960.45.2.64/2760.45.2.65 to 60.45.2.9460.45.2.9530
2060.45.2.96/2760.45.2.97 to 60.45.2.12660.45.2.12730
2160.45.2.128/2760.45.2.129 to 60.45.2.15860.45.2.15930
2260.45.2.160/2760.45.2.161 to 60.45.2.19060.45.2.19130
2360.45.2.192/2760.45.2.193 to 60.45.2.22260.45.2.22330
2460.45.2.224/2760.45.2.225 to 60.45.2.25460.45.2.25530
2560.45.3.0/2760.45.3.1 to 60.45.3.3060.45.3.3130
2660.45.3.32/2760.45.3.33 to 60.45.3.6260.45.3.6330
2760.45.3.64/2760.45.3.65 to 60.45.3.9460.45.3.9530
2860.45.3.96/2760.45.3.97 to 60.45.3.12660.45.3.12730
2960.45.3.128/2760.45.3.129 to 60.45.3.15860.45.3.15930
3060.45.3.160/2760.45.3.161 to 60.45.3.19060.45.3.19130
3160.45.3.192/2760.45.3.193 to 60.45.3.22260.45.3.22330
3260.45.3.224/2760.45.3.225 to 60.45.3.25460.45.3.25530
3360.45.4.0/2760.45.4.1 to 60.45.4.3060.45.4.3130
3460.45.4.32/2760.45.4.33 to 60.45.4.6260.45.4.6330
3560.45.4.64/2760.45.4.65 to 60.45.4.9460.45.4.9530
3660.45.4.96/2760.45.4.97 to 60.45.4.12660.45.4.12730
3760.45.4.128/2760.45.4.129 to 60.45.4.15860.45.4.15930
3860.45.4.160/2760.45.4.161 to 60.45.4.19060.45.4.19130
3960.45.4.192/2760.45.4.193 to 60.45.4.22260.45.4.22330
4060.45.4.224/2760.45.4.225 to 60.45.4.25460.45.4.25530
4160.45.5.0/2760.45.5.1 to 60.45.5.3060.45.5.3130
4260.45.5.32/2760.45.5.33 to 60.45.5.6260.45.5.6330
4360.45.5.64/2760.45.5.65 to 60.45.5.9460.45.5.9530
4460.45.5.96/2760.45.5.97 to 60.45.5.12660.45.5.12730
4560.45.5.128/2760.45.5.129 to 60.45.5.15860.45.5.15930
4660.45.5.160/2760.45.5.161 to 60.45.5.19060.45.5.19130
4760.45.5.192/2760.45.5.193 to 60.45.5.22260.45.5.22330
4860.45.5.224/2760.45.5.225 to 60.45.5.25460.45.5.25530
4960.45.6.0/2760.45.6.1 to 60.45.6.3060.45.6.3130
5060.45.6.32/2760.45.6.33 to 60.45.6.6260.45.6.6330
5160.45.6.64/2760.45.6.65 to 60.45.6.9460.45.6.9530
5260.45.6.96/2760.45.6.97 to 60.45.6.12660.45.6.12730
5360.45.6.128/2760.45.6.129 to 60.45.6.15860.45.6.15930
5460.45.6.160/2760.45.6.161 to 60.45.6.19060.45.6.19130
5560.45.6.192/2760.45.6.193 to 60.45.6.22260.45.6.22330
5660.45.6.224/2760.45.6.225 to 60.45.6.25460.45.6.25530
5760.45.7.0/2760.45.7.1 to 60.45.7.3060.45.7.3130
5860.45.7.32/2760.45.7.33 to 60.45.7.6260.45.7.6330
5960.45.7.64/2760.45.7.65 to 60.45.7.9460.45.7.9530
6060.45.7.96/2760.45.7.97 to 60.45.7.12660.45.7.12730
6160.45.7.128/2760.45.7.129 to 60.45.7.15860.45.7.15930
6260.45.7.160/2760.45.7.161 to 60.45.7.19060.45.7.19130
6360.45.7.192/2760.45.7.193 to 60.45.7.22260.45.7.22330
6460.45.7.224/2760.45.7.225 to 60.45.7.25460.45.7.25530
6560.45.8.0/2760.45.8.1 to 60.45.8.3060.45.8.3130
6660.45.8.32/2760.45.8.33 to 60.45.8.6260.45.8.6330
6760.45.8.64/2760.45.8.65 to 60.45.8.9460.45.8.9530
6860.45.8.96/2760.45.8.97 to 60.45.8.12660.45.8.12730
6960.45.8.128/2760.45.8.129 to 60.45.8.15860.45.8.15930
7060.45.8.160/2760.45.8.161 to 60.45.8.19060.45.8.19130
7160.45.8.192/2760.45.8.193 to 60.45.8.22260.45.8.22330
7260.45.8.224/2760.45.8.225 to 60.45.8.25460.45.8.25530
7360.45.9.0/2760.45.9.1 to 60.45.9.3060.45.9.3130
7460.45.9.32/2760.45.9.33 to 60.45.9.6260.45.9.6330
7560.45.9.64/2760.45.9.65 to 60.45.9.9460.45.9.9530
7660.45.9.96/2760.45.9.97 to 60.45.9.12660.45.9.12730
7760.45.9.128/2760.45.9.129 to 60.45.9.15860.45.9.15930
7860.45.9.160/2760.45.9.161 to 60.45.9.19060.45.9.19130
7960.45.9.192/2760.45.9.193 to 60.45.9.22260.45.9.22330
8060.45.9.224/2760.45.9.225 to 60.45.9.25460.45.9.25530
8160.45.10.0/2760.45.10.1 to 60.45.10.3060.45.10.3130
8260.45.10.32/2760.45.10.33 to 60.45.10.6260.45.10.6330
8360.45.10.64/2760.45.10.65 to 60.45.10.9460.45.10.9530
8460.45.10.96/2760.45.10.97 to 60.45.10.12660.45.10.12730
8560.45.10.128/2760.45.10.129 to 60.45.10.15860.45.10.15930
8660.45.10.160/2760.45.10.161 to 60.45.10.19060.45.10.19130
8760.45.10.192/2760.45.10.193 to 60.45.10.22260.45.10.22330
8860.45.10.224/2760.45.10.225 to 60.45.10.25460.45.10.25530
8960.45.11.0/2760.45.11.1 to 60.45.11.3060.45.11.3130
9060.45.11.32/2760.45.11.33 to 60.45.11.6260.45.11.6330
9160.45.11.64/2760.45.11.65 to 60.45.11.9460.45.11.9530
9260.45.11.96/2760.45.11.97 to 60.45.11.12660.45.11.12730
9360.45.11.128/2760.45.11.129 to 60.45.11.15860.45.11.15930
9460.45.11.160/2760.45.11.161 to 60.45.11.19060.45.11.19130
9560.45.11.192/2760.45.11.193 to 60.45.11.22260.45.11.22330
9660.45.11.224/2760.45.11.225 to 60.45.11.25460.45.11.25530
9760.45.12.0/2760.45.12.1 to 60.45.12.3060.45.12.3130
9860.45.12.32/2760.45.12.33 to 60.45.12.6260.45.12.6330
9960.45.12.64/2760.45.12.65 to 60.45.12.9460.45.12.9530
10060.45.12.96/2760.45.12.97 to 60.45.12.12660.45.12.12730
10160.45.12.128/2760.45.12.129 to 60.45.12.15860.45.12.15930
10260.45.12.160/2760.45.12.161 to 60.45.12.19060.45.12.19130
10360.45.12.192/2760.45.12.193 to 60.45.12.22260.45.12.22330
10460.45.12.224/2760.45.12.225 to 60.45.12.25460.45.12.25530
10560.45.13.0/2760.45.13.1 to 60.45.13.3060.45.13.3130
10660.45.13.32/2760.45.13.33 to 60.45.13.6260.45.13.6330
10760.45.13.64/2760.45.13.65 to 60.45.13.9460.45.13.9530
10860.45.13.96/2760.45.13.97 to 60.45.13.12660.45.13.12730
10960.45.13.128/2760.45.13.129 to 60.45.13.15860.45.13.15930
11060.45.13.160/2760.45.13.161 to 60.45.13.19060.45.13.19130
11160.45.13.192/2760.45.13.193 to 60.45.13.22260.45.13.22330
11260.45.13.224/2760.45.13.225 to 60.45.13.25460.45.13.25530
11360.45.14.0/2760.45.14.1 to 60.45.14.3060.45.14.3130
11460.45.14.32/2760.45.14.33 to 60.45.14.6260.45.14.6330
11560.45.14.64/2760.45.14.65 to 60.45.14.9460.45.14.9530
11660.45.14.96/2760.45.14.97 to 60.45.14.12660.45.14.12730
11760.45.14.128/2760.45.14.129 to 60.45.14.15860.45.14.15930
11860.45.14.160/2760.45.14.161 to 60.45.14.19060.45.14.19130
11960.45.14.192/2760.45.14.193 to 60.45.14.22260.45.14.22330
12060.45.14.224/2760.45.14.225 to 60.45.14.25460.45.14.25530
12160.45.15.0/2760.45.15.1 to 60.45.15.3060.45.15.3130
12260.45.15.32/2760.45.15.33 to 60.45.15.6260.45.15.6330
12360.45.15.64/2760.45.15.65 to 60.45.15.9460.45.15.9530
12460.45.15.96/2760.45.15.97 to 60.45.15.12660.45.15.12730
12560.45.15.128/2760.45.15.129 to 60.45.15.15860.45.15.15930
12660.45.15.160/2760.45.15.161 to 60.45.15.19060.45.15.19130
12760.45.15.192/2760.45.15.193 to 60.45.15.22260.45.15.22330
12860.45.15.224/2760.45.15.225 to 60.45.15.25460.45.15.25530
12960.45.16.0/2760.45.16.1 to 60.45.16.3060.45.16.3130
13060.45.16.32/2760.45.16.33 to 60.45.16.6260.45.16.6330
13160.45.16.64/2760.45.16.65 to 60.45.16.9460.45.16.9530
13260.45.16.96/2760.45.16.97 to 60.45.16.12660.45.16.12730
13360.45.16.128/2760.45.16.129 to 60.45.16.15860.45.16.15930
13460.45.16.160/2760.45.16.161 to 60.45.16.19060.45.16.19130
13560.45.16.192/2760.45.16.193 to 60.45.16.22260.45.16.22330
13660.45.16.224/2760.45.16.225 to 60.45.16.25460.45.16.25530
13760.45.17.0/2760.45.17.1 to 60.45.17.3060.45.17.3130
13860.45.17.32/2760.45.17.33 to 60.45.17.6260.45.17.6330
13960.45.17.64/2760.45.17.65 to 60.45.17.9460.45.17.9530
14060.45.17.96/2760.45.17.97 to 60.45.17.12660.45.17.12730
14160.45.17.128/2760.45.17.129 to 60.45.17.15860.45.17.15930
14260.45.17.160/2760.45.17.161 to 60.45.17.19060.45.17.19130
14360.45.17.192/2760.45.17.193 to 60.45.17.22260.45.17.22330
14460.45.17.224/2760.45.17.225 to 60.45.17.25460.45.17.25530
14560.45.18.0/2760.45.18.1 to 60.45.18.3060.45.18.3130
14660.45.18.32/2760.45.18.33 to 60.45.18.6260.45.18.6330
14760.45.18.64/2760.45.18.65 to 60.45.18.9460.45.18.9530
14860.45.18.96/2760.45.18.97 to 60.45.18.12660.45.18.12730
14960.45.18.128/2760.45.18.129 to 60.45.18.15860.45.18.15930
15060.45.18.160/2760.45.18.161 to 60.45.18.19060.45.18.19130
15160.45.18.192/2760.45.18.193 to 60.45.18.22260.45.18.22330
15260.45.18.224/2760.45.18.225 to 60.45.18.25460.45.18.25530
15360.45.19.0/2760.45.19.1 to 60.45.19.3060.45.19.3130
15460.45.19.32/2760.45.19.33 to 60.45.19.6260.45.19.6330
15560.45.19.64/2760.45.19.65 to 60.45.19.9460.45.19.9530
15660.45.19.96/2760.45.19.97 to 60.45.19.12660.45.19.12730
15760.45.19.128/2760.45.19.129 to 60.45.19.15860.45.19.15930
15860.45.19.160/2760.45.19.161 to 60.45.19.19060.45.19.19130
15960.45.19.192/2760.45.19.193 to 60.45.19.22260.45.19.22330
16060.45.19.224/2760.45.19.225 to 60.45.19.25460.45.19.25530
16160.45.20.0/2760.45.20.1 to 60.45.20.3060.45.20.3130
16260.45.20.32/2760.45.20.33 to 60.45.20.6260.45.20.6330
16360.45.20.64/2760.45.20.65 to 60.45.20.9460.45.20.9530
16460.45.20.96/2760.45.20.97 to 60.45.20.12660.45.20.12730
16560.45.20.128/2760.45.20.129 to 60.45.20.15860.45.20.15930
16660.45.20.160/2760.45.20.161 to 60.45.20.19060.45.20.19130
16760.45.20.192/2760.45.20.193 to 60.45.20.22260.45.20.22330
16860.45.20.224/2760.45.20.225 to 60.45.20.25460.45.20.25530
16960.45.21.0/2760.45.21.1 to 60.45.21.3060.45.21.3130
17060.45.21.32/2760.45.21.33 to 60.45.21.6260.45.21.6330
17160.45.21.64/2760.45.21.65 to 60.45.21.9460.45.21.9530
17260.45.21.96/2760.45.21.97 to 60.45.21.12660.45.21.12730
17360.45.21.128/2760.45.21.129 to 60.45.21.15860.45.21.15930
17460.45.21.160/2760.45.21.161 to 60.45.21.19060.45.21.19130
17560.45.21.192/2760.45.21.193 to 60.45.21.22260.45.21.22330
17660.45.21.224/2760.45.21.225 to 60.45.21.25460.45.21.25530
17760.45.22.0/2760.45.22.1 to 60.45.22.3060.45.22.3130
17860.45.22.32/2760.45.22.33 to 60.45.22.6260.45.22.6330
17960.45.22.64/2760.45.22.65 to 60.45.22.9460.45.22.9530
18060.45.22.96/2760.45.22.97 to 60.45.22.12660.45.22.12730
18160.45.22.128/2760.45.22.129 to 60.45.22.15860.45.22.15930
18260.45.22.160/2760.45.22.161 to 60.45.22.19060.45.22.19130
18360.45.22.192/2760.45.22.193 to 60.45.22.22260.45.22.22330
18460.45.22.224/2760.45.22.225 to 60.45.22.25460.45.22.25530
18560.45.23.0/2760.45.23.1 to 60.45.23.3060.45.23.3130
18660.45.23.32/2760.45.23.33 to 60.45.23.6260.45.23.6330
18760.45.23.64/2760.45.23.65 to 60.45.23.9460.45.23.9530
18860.45.23.96/2760.45.23.97 to 60.45.23.12660.45.23.12730
18960.45.23.128/2760.45.23.129 to 60.45.23.15860.45.23.15930
19060.45.23.160/2760.45.23.161 to 60.45.23.19060.45.23.19130
19160.45.23.192/2760.45.23.193 to 60.45.23.22260.45.23.22330
19260.45.23.224/2760.45.23.225 to 60.45.23.25460.45.23.25530
19360.45.24.0/2760.45.24.1 to 60.45.24.3060.45.24.3130
19460.45.24.32/2760.45.24.33 to 60.45.24.6260.45.24.6330
19560.45.24.64/2760.45.24.65 to 60.45.24.9460.45.24.9530
19660.45.24.96/2760.45.24.97 to 60.45.24.12660.45.24.12730
19760.45.24.128/2760.45.24.129 to 60.45.24.15860.45.24.15930
19860.45.24.160/2760.45.24.161 to 60.45.24.19060.45.24.19130
19960.45.24.192/2760.45.24.193 to 60.45.24.22260.45.24.22330
20060.45.24.224/2760.45.24.225 to 60.45.24.25460.45.24.25530
20160.45.25.0/2760.45.25.1 to 60.45.25.3060.45.25.3130
20260.45.25.32/2760.45.25.33 to 60.45.25.6260.45.25.6330
20360.45.25.64/2760.45.25.65 to 60.45.25.9460.45.25.9530
20460.45.25.96/2760.45.25.97 to 60.45.25.12660.45.25.12730
20560.45.25.128/2760.45.25.129 to 60.45.25.15860.45.25.15930
20660.45.25.160/2760.45.25.161 to 60.45.25.19060.45.25.19130
20760.45.25.192/2760.45.25.193 to 60.45.25.22260.45.25.22330
20860.45.25.224/2760.45.25.225 to 60.45.25.25460.45.25.25530
20960.45.26.0/2760.45.26.1 to 60.45.26.3060.45.26.3130
21060.45.26.32/2760.45.26.33 to 60.45.26.6260.45.26.6330
21160.45.26.64/2760.45.26.65 to 60.45.26.9460.45.26.9530
21260.45.26.96/2760.45.26.97 to 60.45.26.12660.45.26.12730
21360.45.26.128/2760.45.26.129 to 60.45.26.15860.45.26.15930
21460.45.26.160/2760.45.26.161 to 60.45.26.19060.45.26.19130
21560.45.26.192/2760.45.26.193 to 60.45.26.22260.45.26.22330
21660.45.26.224/2760.45.26.225 to 60.45.26.25460.45.26.25530
21760.45.27.0/2760.45.27.1 to 60.45.27.3060.45.27.3130
21860.45.27.32/2760.45.27.33 to 60.45.27.6260.45.27.6330
21960.45.27.64/2760.45.27.65 to 60.45.27.9460.45.27.9530
22060.45.27.96/2760.45.27.97 to 60.45.27.12660.45.27.12730
22160.45.27.128/2760.45.27.129 to 60.45.27.15860.45.27.15930
22260.45.27.160/2760.45.27.161 to 60.45.27.19060.45.27.19130
22360.45.27.192/2760.45.27.193 to 60.45.27.22260.45.27.22330
22460.45.27.224/2760.45.27.225 to 60.45.27.25460.45.27.25530
22560.45.28.0/2760.45.28.1 to 60.45.28.3060.45.28.3130
22660.45.28.32/2760.45.28.33 to 60.45.28.6260.45.28.6330
22760.45.28.64/2760.45.28.65 to 60.45.28.9460.45.28.9530
22860.45.28.96/2760.45.28.97 to 60.45.28.12660.45.28.12730
22960.45.28.128/2760.45.28.129 to 60.45.28.15860.45.28.15930
23060.45.28.160/2760.45.28.161 to 60.45.28.19060.45.28.19130
23160.45.28.192/2760.45.28.193 to 60.45.28.22260.45.28.22330
23260.45.28.224/2760.45.28.225 to 60.45.28.25460.45.28.25530
23360.45.29.0/2760.45.29.1 to 60.45.29.3060.45.29.3130
23460.45.29.32/2760.45.29.33 to 60.45.29.6260.45.29.6330
23560.45.29.64/2760.45.29.65 to 60.45.29.9460.45.29.9530
23660.45.29.96/2760.45.29.97 to 60.45.29.12660.45.29.12730
23760.45.29.128/2760.45.29.129 to 60.45.29.15860.45.29.15930
23860.45.29.160/2760.45.29.161 to 60.45.29.19060.45.29.19130
23960.45.29.192/2760.45.29.193 to 60.45.29.22260.45.29.22330
24060.45.29.224/2760.45.29.225 to 60.45.29.25460.45.29.25530
24160.45.30.0/2760.45.30.1 to 60.45.30.3060.45.30.3130
24260.45.30.32/2760.45.30.33 to 60.45.30.6260.45.30.6330
24360.45.30.64/2760.45.30.65 to 60.45.30.9460.45.30.9530
24460.45.30.96/2760.45.30.97 to 60.45.30.12660.45.30.12730
24560.45.30.128/2760.45.30.129 to 60.45.30.15860.45.30.15930
24660.45.30.160/2760.45.30.161 to 60.45.30.19060.45.30.19130
24760.45.30.192/2760.45.30.193 to 60.45.30.22260.45.30.22330
24860.45.30.224/2760.45.30.225 to 60.45.30.25460.45.30.25530
24960.45.31.0/2760.45.31.1 to 60.45.31.3060.45.31.3130
25060.45.31.32/2760.45.31.33 to 60.45.31.6260.45.31.6330
25160.45.31.64/2760.45.31.65 to 60.45.31.9460.45.31.9530
25260.45.31.96/2760.45.31.97 to 60.45.31.12660.45.31.12730
25360.45.31.128/2760.45.31.129 to 60.45.31.15860.45.31.15930
25460.45.31.160/2760.45.31.161 to 60.45.31.19060.45.31.19130
25560.45.31.192/2760.45.31.193 to 60.45.31.22260.45.31.22330
25660.45.31.224/2760.45.31.225 to 60.45.31.25460.45.31.25530

IPv4 CIDR reference (/0 to /32)

IPv4 prefix lengths
PrefixSubnet maskWildcardAddressesUsable hostsSizeTypical use
/00.0.0.0255.255.255.2554,294,967,2964,294,967,29416,777,216 × /24
/1128.0.0.0127.255.255.2552,147,483,6482,147,483,6468,388,608 × /24
/2192.0.0.063.255.255.2551,073,741,8241,073,741,8224,194,304 × /24
/3224.0.0.031.255.255.255536,870,912536,870,9102,097,152 × /24
/4240.0.0.015.255.255.255268,435,456268,435,4541,048,576 × /24
/5248.0.0.07.255.255.255134,217,728134,217,726524,288 × /24
/6252.0.0.03.255.255.25567,108,86467,108,862262,144 × /24
/7254.0.0.01.255.255.25533,554,43233,554,430131,072 × /24
/8255.0.0.00.255.255.25516,777,21616,777,21465,536 × /24Old class A; 10.0.0.0/8
/9255.128.0.00.127.255.2558,388,6088,388,60632,768 × /24
/10255.192.0.00.63.255.2554,194,3044,194,30216,384 × /24
/11255.224.0.00.31.255.2552,097,1522,097,1508,192 × /24
/12255.240.0.00.15.255.2551,048,5761,048,5744,096 × /24172.16.0.0/12
/13255.248.0.00.7.255.255524,288524,2862,048 × /24
/14255.252.0.00.3.255.255262,144262,1421,024 × /24
/15255.254.0.00.1.255.255131,072131,070512 × /24
/16255.255.0.00.0.255.25565,53665,534256 × /24Old class B; 192.168.0.0/16
/17255.255.128.00.0.127.25532,76832,766128 × /24
/18255.255.192.00.0.63.25516,38416,38264 × /24
/19255.255.224.00.0.31.2558,1928,19032 × /24
/20255.255.240.00.0.15.2554,0964,09416 × /24
/21255.255.248.00.0.7.2552,0482,0468 × /24
/22255.255.252.00.0.3.2551,0241,0224 × /24Large office or guest Wi-Fi (1,022 hosts)
/23255.255.254.00.0.1.2555125102 × /24Larger office LAN (510 hosts)
/24255.255.255.00.0.0.2552562541 × /24Typical office LAN (old class C)
/25255.255.255.1280.0.0.1271281261/2 of a /24Smaller LAN or VLAN
/26255.255.255.1920.0.0.6364621/4 of a /24Smaller LAN or VLAN
/27255.255.255.2240.0.0.3132301/8 of a /24Small VLAN, phones, cameras
/28255.255.255.2400.0.0.1516141/16 of a /24Small VLAN, phones, cameras
/29255.255.255.2480.0.0.7861/32 of a /24Small fixed public block (5 usable)
/30255.255.255.2520.0.0.3421/64 of a /24Point-to-point (old style)
/31255.255.255.2540.0.0.1221/128 of a /24Point-to-point link (RFC 3021)
/32255.255.255.2550.0.0.0111/256 of a /24One host

IPv6 prefix reference

IPv6 prefix lengths
PrefixAddresses/64 LANs/48 sitesNibbleTypical use
/342,535,295,865,117,307,932,921,825,928,971,026,432 (2^125)2,305,843,009,213,693,95235,184,372,088,832NoAll global unicast (2000::/3)
/165,192,296,858,534,827,628,530,496,329,220,096 (2^112)281,474,976,710,6564,294,967,296Yes
/20324,518,553,658,426,726,783,156,020,576,256 (2^108)17,592,186,044,416268,435,456YesLarge provider allocation (RIPE minimum for some)
/29633,825,300,114,114,700,748,351,602,688 (2^99)34,359,738,368524,288NoRIPE allocation to a provider (often)
/3279,228,162,514,264,337,593,543,950,336 (2^96)4,294,967,29665,536YesProvider allocation (RIPE default)
/364,951,760,157,141,521,099,596,496,896 (2^92)268,435,4564,096Yes
/40309,485,009,821,345,068,724,781,056 (2^88)16,777,216256Yes
/4419,342,813,113,834,066,795,298,816 (2^84)1,048,57616Yes
/481,208,925,819,614,629,174,706,176 (2^80)65,5361YesOne site or organisation (RIPE PI / assignment)
/5275,557,863,725,914,323,419,136 (2^76)4,096Yes
/564,722,366,482,869,645,213,696 (2^72)256YesSmall site or home (common provider assignment)
/60295,147,905,179,352,825,856 (2^68)16YesSome home broadband (16 LANs)
/6418,446,744,073,709,551,616 (2^64)1YesOne LAN or VLAN (needed for SLAAC)
/7272,057,594,037,927,936 (2^56)1/256 of a /64Yes
/80281,474,976,710,656 (2^48)1/65,536 of a /64Yes
/964,294,967,2961/4,294,967,296 of a /64YesEmbeds an IPv4 address (NAT64)
/11265,5361/281,474,976,710,656 of a /64Yes
/1202561/72,057,594,037,927,936 of a /64Yes
/124161/1,152,921,504,606,846,976 of a /64Yes
/12641/4,611,686,018,427,387,904 of a /64No
/12721/9,223,372,036,854,775,808 of a /64NoPoint-to-point link (RFC 6164)
/12811/18,446,744,073,709,551,616 of a /64YesOne host or loopback

Private and special ranges

IPv4

Special-purpose ranges
RangeNameWhat it is
255.255.255.255/32Limited broadcastEvery host on the local network
0.0.0.0/8This networkNot routed; 0.0.0.0 means "any address" in settings
10.0.0.0/8Private (RFC 1918)Office and home networks; not routed on the internet
100.64.0.0/10Shared address space (CGNAT)Used by providers behind carrier-grade NAT (RFC 6598)
127.0.0.0/8LoopbackThis computer
169.254.0.0/16Link-local (APIPA)Self-assigned when no DHCP server answers
172.16.0.0/12Private (RFC 1918)Office and home networks; not routed on the internet
192.0.0.0/24IETF protocol assignmentsSpecial uses such as DS-Lite
192.0.2.0/24Documentation (TEST-NET-1)For examples; never used on a network
192.88.99.0/246to4 relay (deprecated)Formerly anycast for 6to4
192.168.0.0/16Private (RFC 1918)Office and home networks; not routed on the internet
198.18.0.0/15BenchmarkingNetwork equipment testing (RFC 2544)
198.51.100.0/24Documentation (TEST-NET-2)For examples; never used on a network
203.0.113.0/24Documentation (TEST-NET-3)For examples; never used on a network
224.0.0.0/4MulticastOne-to-many traffic, such as IPTV and routing protocols
240.0.0.0/4ReservedFuture use; not usable on most systems

IPv6

Special-purpose ranges
RangeNameWhat it is
::/128UnspecifiedNo address; :: means "any address" in settings
::1/128LoopbackThis computer
::ffff:0:0/96IPv4-mappedAn IPv4 address written as IPv6
64:ff9b::/96NAT64IPv4 addresses reached through a NAT64 gateway
100::/64Discard onlyTraffic sent here is dropped (RFC 6666)
2001:db8::/32DocumentationFor examples; never used on a network
2001::/32TeredoIPv6 tunnelled over IPv4 UDP
2002::/166to4IPv6 tunnelled over IPv4 (largely retired)
3fff::/20DocumentationFor examples (RFC 9637)
fc00::/7Unique local (ULA)Private IPv6, like RFC 1918; usually fd00::/8
fe80::/10Link-localEvery IPv6 interface has one; not routed
ff00::/8MulticastOne-to-many traffic; replaces broadcast
2000::/3Global unicastPublic internet addresses